#ifndef _BLACKSCREEN_H
#define _BLACKSCREEN_H

#include "world_entity.h"
#include "p_node.h"

class TiXmlElement;
class Material;

class blackscreen : public PNode, public WorldEntity
{
    ObjectListDeclaration(blackscreen);

  private:

    Material*       material;

  public:
    blackscreen ();
    blackscreen(const TiXmlElement* root);
    virtual ~blackscreen ();

    void init();
    virtual void loadParams(const TiXmlElement* root);

    void changeState (bool);
    virtual void tick (float time);
    virtual void draw() const;

};

#endif /* _BLACKSCREEN_H */
